const require_datetime = require('../../../../node_modules/.pnpm/luxon@3.5.0/node_modules/luxon/src/datetime.js');

//#region ../didcomm/src/util/transformers.ts
function DateParser(value) {
	const parsedDate = new Date(value);
	if (parsedDate instanceof Date && !Number.isNaN(parsedDate.getTime())) return parsedDate;
	const luxonDate = require_datetime.default.fromSQL(value);
	if (luxonDate.isValid) return new Date(luxonDate.toString());
	return /* @__PURE__ */ new Date();
}

//#endregion
exports.DateParser = DateParser;